io.vertx.sqlclient

## Interface PreparedQuery<T>

- All Superinterfaces:
    Query<T>

      public interface PreparedQuery<T>
      extends Query<T>

  A query for a prepared statement allowing parameterized execution of the query, this query will use a prepared statement.
  Author:
    Julien Viet

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `<R> PreparedQuery<SqlResult<R>>` | `collecting(java.util.stream.Collector<Row,?,R> collector)` Use the specified `collector` for collecting the query result to `<R>`.
    `Future<T>` | `execute(Tuple tuple)` Like `Query.execute(Handler)` but returns a `Future` of the asynchronous result
    `void` | `execute(Tuple tuple, Handler<AsyncResult<T>> handler)` Execute the query.
    `Future<T>` | `executeBatch(List<Tuple> batch)` Like `executeBatch(List, Handler)` but returns a `Future` of the asynchronous result
    `void` | `executeBatch(List<Tuple> batch, Handler<AsyncResult<T>> handler)` Execute the query with a batch of tuples.
    `<U> PreparedQuery<RowSet<U>>` | `mapping(java.util.function.Function<Row,U> mapper)` Use the specified `mapper` for mapping `Row` to `<U>`.

    - ### Methods inherited from interface io.vertx.sqlclient.Query

      `execute, execute`

- - ### Method Detail

    - #### execute

          void execute(Tuple tuple,
                       Handler<AsyncResult<T>> handler)

      Execute the query.
      Parameters:
        `handler` - the handler receiving the response

    - #### execute

          Future<T> execute(Tuple tuple)

      Like `Query.execute(Handler)` but returns a `Future` of the asynchronous result

    - #### executeBatch

          void executeBatch(List<Tuple> batch,
                            Handler<AsyncResult<T>> handler)

      Execute the query with a batch of tuples.
      Parameters:
        `batch` - the batch of tuples
        `handler` - the handler receiving the response

    - #### executeBatch

          Future<T> executeBatch(List<Tuple> batch)

      Like `executeBatch(List, Handler)` but returns a `Future` of the asynchronous result

    - #### collecting

          <R> PreparedQuery<SqlResult<R>> collecting(java.util.stream.Collector<Row,?,R> collector)

      Use the specified `collector` for collecting the query result to `<R>`.
      Specified by:
        `collecting` in interface `Query<T>`

    - #### mapping

          <U> PreparedQuery<RowSet<U>> mapping(java.util.function.Function<Row,U> mapper)

      Use the specified `mapper` for mapping `Row` to `<U>`.
      Specified by:
        `mapping` in interface `Query<T>`

Copyright © 2020 Eclipse. All rights reserved.